
<!-- Pagination Bar -->
<nav th:fragment="paginationbar" xmlns:th="http://www.w3.org/1999/xhtml">
    <ul class="pagination nav pagination-centered">
        <li th:class="${page.firstPage}? 'disabled' : ''">
            <a th:if="${page.firstPage}" href="#"><span>Primero</span></a>
            <a th:if="${not page.firstPage}" th:href="@{${page.url}(page=1,size=${page.size})}+${qq}">Primero</a>
        </li>
        <li th:class="${page.hasPreviousPage}? '' : 'disabled'">
            <a th:if="${page.firstPage}" href="#"><span>Anterior</span></a>
            <a th:if="${page.hasPreviousPage}" th:href="@{${page.url}(page=${page.number-1},size=${page.size})}+${qq}" title="Go to previous page">Anterior</a>
        </li>
        <li th:each="item : ${page.items}" th:class="${item.current}? 'active' : ''">
            <a th:if="${item.current}" href="#"><span th:text="${item.number}">1</span></a>
            <a th:if="${not item.current}" th:href="@{${page.url}(page=${item.number},size=${page.size})}+${qq}"><span th:text="${item.number}">1</span></a>
        </li>
        <li th:class="${page.hasNextPage}? '' : 'disabled'">
            <a th:if="${not page.hasNextPage}" href="#"><span>Siguiente</span></a>
            <a th:if="${page.hasNextPage}" th:href="@{${page.url}(page=${page.number+1},size=${page.size})}+${qq}" title="Go to next page">Siguiente</a>
        </li>
        <li th:class="${page.lastPage}? 'disabled' : ''">
            <a th:if="${page.lastPage}" href="#"><span>Último</span></a>
            <a th:if="${not page.lastPage}" th:href="@{${page.url}(page=${page.totalPages},size=${page.size})}+${qq}">Último</a>
        </li>
    </ul>
    <div>
        <span class="small" th:text="${page.summary}"></span>         
    </div>
</nav>